com.amazon.redshift.logger

## Interface LogHandler

All Known Implementing Classes:
  LogConsoleHandler, LogFileHandler, LogWriterHandler

    public interface LogHandler

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(String message)` Write the message using this handler.

### Method Detail

#### write

    void write(String message)
               throws Exception

Write the message using this handler. This can be a file or console.

Parameters:
  `message` - Log entry
Throws:
  `Exception` - throws when any error happens during write operation.

#### close

    void close()
               throws Exception

Throws:
  `Exception`

#### flush

    void flush()